---

# promtail_version: 2.6.1

promtail_server:
  http_listen_address: "127.0.0.1"
  http_listen_port: 9080
  log_level: info

promtail_clients:
  # - url: http://monitoring.cm.local:3100/loki/api/v1/push
  - url: http://loki.cm.local/loki/api/v1/push
    tls_config:
      insecure_skip_verify: true

promtail_limits:
  readline_rate: 100000
  readline_burst: 10000
  readline_rate_drop: true
  max_streams: 10000

promtail_scrape_configs: "{{
  promtail_scrape_configs_default |
  union(promtail_scrape_configs_custom | default([]))
}}"

# promtail_runtime:
#   client: {}
#   config:
#     expand_env: {}                                  # Expands ${var} in config according to the values of the environment variables.
#     file: "{{ promtail_config_dir }}/promtail.yml"  # yaml file to load
#
# promtail_tracing: {}
#   # enabled: ""

promtail_scrape_configs_default:
  # # file_sd
  # - job_name: file_sd
  #   file_sd_configs:
  #     - files:
  #         - "{{ promtail_config_dir }}/file_sd/*.yml"
  #         - "{{ promtail_config_dir }}/file_sd/*.yaml"
  #         - "{{ promtail_config_dir }}/file_sd/*.json"
  # # example static config
  # - job_name: system
  #   static_configs:
  #     - targets:
  #         - localhost
  #       labels:
  #         job: varlogs
  #         host: "{{ ansible_fqdn }}"
  #         agent: promtail
  #         __path__: /var/log/*.log

  # example journald config
  - job_name: journal
    journal:
      max_age: 2h
      labels:
        job: systemd-journal
        environment: "{{ prometheus_environment }}"
    relabel_configs:
      - source_labels:
          - __journal__systemd_unit
        target_label: 'unit'

  # example syslog config
  - job_name: syslog
    syslog:
      listen_address: 127.0.0.1:1515
      labels:
        job: syslog
        environment: "{{ prometheus_environment }}"
    relabel_configs:
      - source_labels:
          - __syslog_message_hostname
        target_label: 'host'
...
